using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.OleDb;

public partial class Ex5_3 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
      if (!IsPostBack)
      {
        string acon = System.Configuration.ConfigurationManager.AppSettings["strcon"].ToString();
        OleDbConnection oconn = new OleDbConnection(acon);
        OleDbDataAdapter oda = new OleDbDataAdapter("select * from city", oconn);
        DataSet ds = new DataSet();
        oda.Fill(ds);
        ddlcity.DataSource = ds;
        ddlcity.DataValueField = "cid";
        ddlcity.DataTextField = "cname";
        ddlcity.DataBind();
      }
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
      string strans = ddlcity.SelectedItem.Text;
      if (strans == "郑州")
        lblmes.Text = "正确";
      else
        lblmes.Text = "错误";
    }
}
